Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 10.3.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
NaughtyRecursiveLogger::$channel property core/tests/Drupal/Tests/Core/Logger/LoggerChannelTest.php
NaughtyRecursiveLogger::$message property core/tests/Drupal/Tests/Core/Logger/LoggerChannelTest.php
NaughtyRecursiveLogger::log function core/tests/Drupal/Tests/Core/Logger/LoggerChannelTest.php
NaughtyRecursiveLogger::__construct function core/tests/Drupal/Tests/Core/Logger/LoggerChannelTest.php
NegotiationBrowserDeleteForm class core/modules/language/src/Form/NegotiationBrowserDeleteForm.php Defines a confirmation form for deleting a browser language negotiation mapping.
NegotiationBrowserDeleteForm.php file core/modules/language/src/Form/NegotiationBrowserDeleteForm.php
NegotiationBrowserDeleteForm::$browserLangcode property core/modules/language/src/Form/NegotiationBrowserDeleteForm.php The browser language code to be deleted.
NegotiationBrowserDeleteForm::buildForm function core/modules/language/src/Form/NegotiationBrowserDeleteForm.php Form constructor.
NegotiationBrowserDeleteForm::getCancelUrl function core/modules/language/src/Form/NegotiationBrowserDeleteForm.php Returns the route to go to if the user cancels the action.
NegotiationBrowserDeleteForm::getEditableConfigNames function core/modules/language/src/Form/NegotiationBrowserDeleteForm.php Gets the configuration names that will be editable.
NegotiationBrowserDeleteForm::getFormId function core/modules/language/src/Form/NegotiationBrowserDeleteForm.php Returns a unique string identifying the form.
NegotiationBrowserDeleteForm::getQuestion function core/modules/language/src/Form/NegotiationBrowserDeleteForm.php Returns the question to ask the user.
NegotiationBrowserDeleteForm::submitForm function core/modules/language/src/Form/NegotiationBrowserDeleteForm.php Form submission handler.
NegotiationBrowserForm class core/modules/language/src/Form/NegotiationBrowserForm.php Configure the browser language negotiation method for this site.
NegotiationBrowserForm.php file core/modules/language/src/Form/NegotiationBrowserForm.php
NegotiationBrowserForm::$languageManager property core/modules/language/src/Form/NegotiationBrowserForm.php The configurable language manager.
NegotiationBrowserForm::buildForm function core/modules/language/src/Form/NegotiationBrowserForm.php Form constructor.
NegotiationBrowserForm::create function core/modules/language/src/Form/NegotiationBrowserForm.php Instantiates a new instance of this class.
NegotiationBrowserForm::getEditableConfigNames function core/modules/language/src/Form/NegotiationBrowserForm.php Gets the configuration names that will be editable.
NegotiationBrowserForm::getFormId function core/modules/language/src/Form/NegotiationBrowserForm.php Returns a unique string identifying the form.
NegotiationBrowserForm::language_get_browser_drupal_langcode_mappings function core/modules/language/src/Form/NegotiationBrowserForm.php Retrieves the browser's langcode mapping configuration array.
NegotiationBrowserForm::submitForm function core/modules/language/src/Form/NegotiationBrowserForm.php Form submission handler.
NegotiationBrowserForm::validateForm function core/modules/language/src/Form/NegotiationBrowserForm.php Form validation handler.
NegotiationBrowserForm::__construct function core/modules/language/src/Form/NegotiationBrowserForm.php Constructs a \Drupal\system\ConfigFormBase object.
NegotiationConfigureForm::$blockStorage property core/modules/language/src/Form/NegotiationConfigureForm.php The block storage.
NegotiationConfigureForm::$languageTypes property core/modules/language/src/Form/NegotiationConfigureForm.php Stores the configuration object for language.types.
NegotiationConfigureForm::disableLanguageSwitcher function core/modules/language/src/Form/NegotiationConfigureForm.php Disables the language switcher blocks.
NegotiationConfigureForm::getEditableConfigNames function core/modules/language/src/Form/NegotiationConfigureForm.php Gets the configuration names that will be editable.
NegotiationConfigureForm::submitForm function core/modules/language/src/Form/NegotiationConfigureForm.php Form submission handler.
NegotiationConfigureForm::__construct function core/modules/language/src/Form/NegotiationConfigureForm.php Constructs a NegotiationConfigureForm object.
NegotiationMiddleware::$formats property core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php Contains a hashmap of format as key and mimetype as value.
NegotiationMiddleware::registerFormat function core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php Registers a format for a given MIME type.
NegotiationMiddleware::__construct function core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php Constructs a new NegotiationMiddleware.
NegotiationMiddlewareTest class core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php @coversDefaultClass \Drupal\Core\StackMiddleware\NegotiationMiddleware[[api-linebreak]]
@group NegotiationMiddleware
NegotiationMiddlewareTest.php file core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Contains \Drupal\Tests\Core\StackMiddleware\NegotiationMiddlewareTest.
NegotiationMiddlewareTest::$app property core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php
NegotiationMiddlewareTest::$contentNegotiation property core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php
NegotiationMiddlewareTest::setUp function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php
NegotiationMiddlewareTest::testAjaxIframeUpload function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the getContentType() method with AJAX iframe upload.
NegotiationMiddlewareTest::testFormatViaQueryParameter function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the specifying a format via query parameters gets used.
NegotiationMiddlewareTest::testHandle function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Test that handle() correctly hands off to sub application.
NegotiationMiddlewareTest::testSetFormat function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php @covers ::registerFormat[[api-linebreak]]
NegotiationMiddlewareTest::testUnknowContentTypeButAjaxRequest function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the getContentType() method when no priority format is found but it's an AJAX request.
NegotiationMiddlewareTest::testUnknowContentTypeReturnsNull function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the getContentType() method when no priority format is found.
NegotiationSelectedForm class core/modules/language/src/Form/NegotiationSelectedForm.php Configure the selected language negotiation method for this site.
NegotiationSelectedForm.php file core/modules/language/src/Form/NegotiationSelectedForm.php
NegotiationSelectedForm::buildForm function core/modules/language/src/Form/NegotiationSelectedForm.php Form constructor.
NegotiationSelectedForm::getEditableConfigNames function core/modules/language/src/Form/NegotiationSelectedForm.php Gets the configuration names that will be editable.
NegotiationSelectedForm::getFormId function core/modules/language/src/Form/NegotiationSelectedForm.php Returns a unique string identifying the form.
NegotiationSelectedForm::submitForm function core/modules/language/src/Form/NegotiationSelectedForm.php Form submission handler.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.